Upgrading to MM 2.6.0



  • Hi,

    started my MM after several months not using it.
    At first I executed sudo apt update && sudo apt upgrade -y.

    The following error occurred:

    Konfigurationsdatei »/etc/xdg/lxsession/LXDE-pi/autostart«
     ==> Geändert (von Ihnen oder von einem Skript) seit der Installation.
     ==> Paketverteiler hat eine aktualisierte Version herausgegeben.
       Wie möchten Sie vorgehen? Ihre Wahlmöglichkeiten sind:
        Y oder I : Die Version des Paket-Betreuers installieren
        N oder O : Die momentan installierte Version beibehalten
           D     : Die Unterschiede zwischen den Versionen anzeigen
           Z     : Eine Shell starten, um die Situation zu begutachten
     Der Standardweg ist das Beibehalten der momentanen Version.
    *** autostart (Y/I/N/O/D/Z) [Vorgabe=N] ? N
    Neue Version der Konfigurationsdatei /etc/xdg/lxsession/LXDE-pi/desktop.conf wird installiert ...
    Neue Version der Konfigurationsdatei /etc/xdg/menus/lxde-pi-applications.menu wird installiert ...
    Openbox-Message: Konnte das Display aus der Umgebungsvariable DISPLAY nicht öffnen.
    The desktop has been updated.
    Some obsolete configuration files have been removed and backed up in ~/oldconffiles.
    To apply the updates, please reboot your Pi, and then select one of the options on the Defaults page in Appearance Settings.
    Unable to init server: Verbindung ist gescheitert:Verbindungsaufbau abgelehnt
    
    (zenity:26783): Gtk-WARNING **: cannot open display: 
    Removing obsolete conffile /etc/xdg/lxpanel/profile/LXDE-pi/panels/panel ...
    Removing obsolete conffile /etc/xdg/lxpanel/profile/LXDE-pi/config ...
    Removing obsolete conffile /etc/xdg/lxsession/LXDE-pi/autokey.sh ...
    

    Later I tried to update MM to 2.6 using git pull && npm install, but I got the error:
    “fatal: Kein Git-Repository (oder irgendein Elternverzeichnis): .git”

    What went wrong ?



  • Hello biebbens,
    Did you run it in your MagicMirror directory ?
    Regards Jan



  • @blebbens said in Upgrading to MM 2.6.0:

    Did you run it in your MagicMirror directory ?

    yep. do have the same problem.
    it may be permission related, how to reset permissions to default in MagicMirror directory?



  • @binog if you don’t want to wait any longer backup your ‘modules’ folder, the config and delete the whole MagicMirror directory.

    When you reinstall you will have the latest version (remember to restore then your backups).